# KODAMA
A self-guided, weakly supervised learning algorithm for feature extraction from noisy and 
  high-dimensional data. The method facilitates the identification of patterns that reflect underlying 
  group structures across all samples in a dataset. It incorporates a novel strategy to integrate spatial 
  information, enhancing the interpretability of results in spatially resolved data.

## Citation 


[Abdel-Shafy EA, Kassim M, Vignol A, et al. (2025). KODAMA enables self-guided weakly supervised learning in spatial transcriptomics. BioRxiv 2025.](https://doi.org/10.1101/2025.05.28.656544)

[Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA. (2017). KODAMA: an R package for knowledge discovery and data mining. Bioinformatics, 33(4), 621-623.](https://doi.org/10.1093/bioinformatics/btw003)

[Cacciatore S, Luchinat C, Tenori L. (2014). Knowledge discovery by accuracy maximization. Proceedings of the National Academy of Sciences, 111(14), 5117-5122.](https://www.pnas.org/doi/abs/10.1073/pnas.1220873111)



## Installation

This third version of KODAMA will be available soon on https://CRAN.R-project.org/package=KODAMA.

```
library(devtools)
install_github("tkcaccia/KODAMA")

```

